#
# IBM Confidential
# OCO Source Materials
# Tivoli Access Manager for Operating Systems - Agent
# TIVO-TAMOSA
#
# (C) Copyright IBM Corp. 2008
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#

#
# platform information
#
# Retrieves information about the platform where the NPM is running.
#

from com.ibm.amos.agent.npm import PolicyPlugin

PLATFORM_AIX     = "AIX"
PLATFORM_SOLARIS = "SunOS"
PLATFORM_LINUX   = "Linux"
PLATFORM_HPUX    = "HP-UX"
PLATFORM_UNKNOWN = "Unknown"

Context = "sparc_solaris_2"
Machine = "sparc_solaris_2"


def getPlatformType():
    if Context.find("_aix_") != -1:
        return PLATFORM_AIX
    elif Context.find("_solaris_") != -1:
        return PLATFORM_SOLARIS
    elif Context.find("_linux_") != -1:
        return PLATFORM_LINUX
    elif Context.find("_ux_") != -1:
        return PLATFORM_HPUX
    else:
        return PLATFORM_UNKNOWN
 

class PerPlatformPlugin(PolicyPlugin):
    def __init__(self):
        self.plugin_map = {}

    def toString(self):
        return "Per Platform Plugin"

    def initialize(self, target):
        self.target = target

        # identify OS, create actual implementation plugin
        plat = getPlatformType()
        if self.plugin_map.has_key(plat):
            self.impl = self.plugin_map[plat](self, target)
        else:
            self.impl = None

    def shutdown(self):
        if self.impl:
            self.impl.shutdown()

    def policyUpdate(self, result, delta, apply):
        if self.impl:
            self.impl.policyUpdate(result, delta, apply)

    def verifyPolicy(self, result, policy, reconcile):
        if self.impl:
            self.impl.verifyPolicy(result, policy, reconcile)

    
