#
# IBM Confidential
# OCO Source Materials
# Tivoli Access Manager for Operating Systems - Agent
# TIVO-TAMOSA
#
# (C) Copyright IBM Corp. 2008
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#

#
# TAM-related utilities
#

import re

action_regex = re.compile('\[([^\[\]]+)]([a-zA-Z]+)')

def parseTAMActionString(actions):
    """
    Parses a TAM action string, returning a mapping of action classes to
    strings of bits.
    """
    parsed = {}
    if actions is None or actions == "":
        return parsed

    if actions[0] != '[':
        actions = '[primary]' + actions

    while len(actions) > 0:
        m = action_regex.match(actions)
        if m is None:
            # badly formed action string
            return None

        group = m.group(1)
        bits = m.group(2)
        parsed[group] = bits

        actions = actions[m.end():]

    return parsed

# vim: set ts=4 sw=4 expandtab :

