#
# IBM Confidential
# OCO Source Materials
# Tivoli Access Manager for Operating Systems - Agent
# TIVO-TAMOSA
#
# (C) Copyright IBM Corp. 2008
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#

# password policy plugin

from com.ibm.amos.agent.npm import PolicyPlugin

import aix
import solaris
import ossutil.platform
from ossutil.platform import PerPlatformPlugin

class PasswordPolicyPlugin(PerPlatformPlugin):
    def __init__(self):
        self.plugin_map = {
            ossutil.platform.PLATFORM_AIX : aix.AixPasswordPolicyPlugin,
            ossutil.platform.PLATFORM_SOLARIS : solaris.SolarisPasswordPolicyPlugin
        }

    def toString(self):
        return "Password Policy"

# vim: set ts=4 sw=4 expandtab :
