#
# IBM Confidential
# OCO Source Materials
# Tivoli Access Manager for Operating Systems - Agent
# TIVO-TAMOSA
#
# (C) Copyright IBM Corp. 2008
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#

#
# user audit plugin
#
# it appears that audit configuration is so divergent between operating 
# systems that we pretty much need separate plugins for each, so this 
# will probably just figure out which actual implementation to use
# (by asking the target what platform it is) then just hand off to that.
# 

from com.ibm.amos.agent.npm import PolicyPlugin

import solaris
import aix
import ossutil.platform
from ossutil.platform import PerPlatformPlugin

class UserAuditPlugin(PerPlatformPlugin):
    def __init__(self):
        self.plugin_map = {
            ossutil.platform.PLATFORM_AIX : aix.AixUserAuditPlugin,
            ossutil.platform.PLATFORM_SOLARIS : solaris.SolarisUserAuditPlugin
        }

    def toString(self):
        return "User audit"
    

# vim: set ts=4 sw=4 expandtab :
